IrrKlang.NET |

# ISoundDeviceList Members

ISoundDeviceList overview

#### Public Instance Constructors

ISoundDeviceList | Overloaded. Initializes a new instance of the ISoundDeviceList class.

#### Public Instance Properties

DeviceCount | returns amount of enumerated devices in the list

#### Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
getDeviceDescription | returns description of the device. Index of the device, a value between 0 and ISoundDeviceList::getDeviceCount()-1.
getDeviceID |
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize | Destructor
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

ISoundDeviceList Class | IrrKlang Namespace